Subject: Re: bug#52089: [core-updates-frozen] geeqie fails to launch

From: Ludovic Courtès <[email-masked]>
Date: Wed, 08 Dec 2021 22:37:07 +0100

Hi John,

John Kehayias <[email-masked]> skribis:

> I had reported this on IRC earlier and think I've found the fix. The upstream issue is https://github.com/BestImageViewer/geeqie/issues/829  and leads to the following commit that should fix it https://github.com/BestImageViewer/geeqie/commit/f34ea0700048c27319a2256408171adda32a7580
>
> I'm attaching this commit as a patch for our current version (just cherry-picked this commit) to try. I tried it with the following command
>
> guix shell geeqie --with-patch=geeqie=0001-Fix-829-segfault-with-clutter-gtk.patch
>
> And it started up for me without the error or changing options. I'm not sure if this is related to some other issues that we discussed on IRC (a segfault on icon view?), but at least this fixes the startup problem. Since this is fixed upstream, on the next version update we should be able to remove this patch.

I can confirm that the patch fixes the issue for me.

I’ve added it to the ‘geeqie’ package, thank you!

Ludo’.